Subject: RE: tar, zip, gzip troubles
From: [email-masked] (Earnie Boyd)

13 Oct 1998 21:25:32 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Dr._Markus_Hönicka" <[email-masked]>,
        "'Stipe Tolj'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>

This has the sounds of the all too familiar text vs binary file
processing modes.  Cygnus provided a shortcut to proper porting called
the binary mode switch stored within the mount table.  The mount
command will show this as text!=binary for text mode or text=binary
for binary mode.  This then becomes the default for the open and fopen
functions.

As I've stated on my web pages under my Personal Reflections on this
subject, IF YOU DEPEND ON THE BINARY MODE MOUNT SETTING THEN YOU ARE
MASKING A PROBLEM WHICH WILL EVENTUALLY BYTE YOU SOMEWHERE ELSE. 
Consider yourself bytten.

I suggest that you get the source code and find all of the open/fopen
statements and properly add the necessary file mode processing
switches.  The only truly way to get rid of this for good is to
properly port the code and be specific about what mode your file
should be processing in.

PORTERS OF SOFTWARE, please, don't depend on the binary mode mount
setting!!  Make the appropriate changes to the open/fopen statements.

---=?iso-8859-1?Q?Dr=2E_Markus_H=F6nicka?=
<[email-masked]> wrote:
>
> >> you may specify your setup and environment, so we can get a clue
why
> that
> happens. I had never problems with the Cygwin32 (CDK, not usertool
> package)
> tar and gzip utils. <<
> 
> Well, to be precise, on my homebox it's also the CDK, but at work I
use
> the usertools.
> Someone else already pointed out that I should use the tar -z option
> instead of piping through gzip - this cured the tar/gzip problem.
> The zip/unzip problem persists, however. My setup is plain vanilla,
> AFAIK:
> - Boot drive is C:, NT4 %SYSTEMDRIVE% is D:
> - Installed the CDK to D:/Win32App/Tools/Cygnus
> - created D:/tmp and D:/bin and copied sh.exe to /bin
> - downloaded the InfoZip ported to CygWin from
> http://www.i21.com/~tjump/files/index.html
> - put the binaries to the Cygnus/B19/H-i386.../bin dir.
> 
> Just an example of what happens:
> Markus@~/Programmieren/Projekt/Tricarb#zip tricarb *.cpp Hlp/*.bmp
>   adding: stdafx.cpp    zip warning:  file size changed while zipping
> stdafx.cpp
> 
>  s=123, actual=122
> zip error: Internal logic error (incorrect compressed size)
> 
> Any clues?
> Markus
> 
> 
> _________________________
> Dr. Markus Hoenicka
> DLR Inst. Aerospace Medicine
> D-51170 Cologne, Germany
> [email-masked]
> Phone: ++49-2203-601-3101
> Fax: ++49-2203-61159
> _________________________
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                \\||//
-----------o0O0--Earnie--0O0o------------
--        [email-masked]        --
-- http://freeyellow.com/members5/gw32 --
--------------ooo0O--O0ooo---------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".